CMSIS-DSP: arm_svm_linear_instance_f32 Struct Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_svm_linear_instance_f32 Struct Reference

Instance structure for linear SVM prediction function.

## Data Fields

uint32_t | nbOfSupportVectors
uint32_t | vectorDimension
float32_t | intercept
const float32_t * | dualCoefficients
const float32_t * | supportVectors
const int32_t * | classes

## Field Documentation

const int32_t* classes

The two SVM classes

const float32_t* dualCoefficients

Dual coefficients

float32_t intercept

Intercept

uint32_t nbOfSupportVectors

Number of support vectors

const float32_t* supportVectors

Support vectors

uint32_t vectorDimension

Dimension of vector space